diff --git a/utility/registry_ini.c b/utility/registry_ini.c
index 39bb10ff47..3ab1846ed6 100644
--- a/utility/registry_ini.c
+++ b/utility/registry_ini.c
@@ -1622,32 +1622,32 @@ size_t secfile_insert_bitwise_enum_vec_full(struct section_file *secfile,
   size_t i, ret = 0;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, 0);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != name_fn, 0);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != begin_fn, 0);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != end_fn, 0);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != next_fn, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, name_fn != nullptr, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, begin_fn != nullptr, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, end_fn != nullptr, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, next_fn != nullptr, 0);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
-  /* NB: 'path,0' is actually 'path'.  See comment in the head
+  /* NB: 'path,0' is actually 'path'. See comment in the head
    * of the file. */
   if (dim > 0
-      && NULL != secfile_insert_bitwise_enum_full(secfile, bitwise_vals[0],
-                                                  name_fn, begin_fn, end_fn,
-                                                  next_fn, comment,
-                                                  allow_replace, "%s",
-                                                  fullpath)) {
+      && secfile_insert_bitwise_enum_full(secfile, bitwise_vals[0],
+                                          name_fn, begin_fn, end_fn,
+                                          next_fn, comment,
+                                          allow_replace, "%s",
+                                          fullpath) != nullptr) {
     ret++;
   }
   for (i = 1; i < dim; i++) {
-    if (NULL != secfile_insert_bitwise_enum_full(secfile, bitwise_vals[i],
-                                                 name_fn, begin_fn, end_fn,
-                                                 next_fn, comment,
-                                                 allow_replace, "%s,%d",
-                                                 fullpath, (int) i)) {
+    if (secfile_insert_bitwise_enum_full(secfile, bitwise_vals[i],
+                                         name_fn, begin_fn, end_fn,
+                                         next_fn, comment,
+                                         allow_replace, "%s,%d",
+                                         fullpath, (int) i) != nullptr) {
       ret++;
     }
   }
@@ -1670,12 +1670,12 @@ struct entry *secfile_insert_enum_data_full(struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH], str[MAX_LEN_SECPATH];
   const char *ent_name, *val_name;
   struct section *psection;
-  struct entry *pentry = NULL;
+  struct entry *pentry = nullptr;
   va_list args;
   int i;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != name_fn, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, name_fn != nullptr, nullptr);
 
   if (bitwise) {
     /* Compute a string containing all the values separated by '|'. */
@@ -1693,8 +1693,9 @@ struct entry *secfile_insert_enum_data_full(struct section_file *secfile,
     }
   } else {
     if (!(val_name = name_fn(data, value))) {
-      SECFILE_LOG(secfile, NULL, "Value %d not supported.", value);
-      return NULL;
+      SECFILE_LOG(secfile, nullptr, "Value %d not supported.", value);
+
+      return nullptr;
     }
     sz_strlcpy(str, val_name);
   }
@@ -1705,28 +1706,28 @@ struct entry *secfile_insert_enum_data_full(struct section_file *secfile,
 
   psection = secfile_insert_base(secfile, fullpath, &ent_name);
   if (!psection) {
-    return NULL;
+    return nullptr;
   }
 
   if (allow_replace) {
     pentry = section_entry_by_name(psection, ent_name);
-    if (NULL != pentry) {
+    if (pentry != nullptr) {
       if (ENTRY_STR == entry_type_get(pentry)) {
         if (!entry_str_set(pentry, str)) {
-          return NULL;
+          return nullptr;
         }
       } else {
         entry_destroy(pentry);
-        pentry = NULL;
+        pentry = nullptr;
       }
     }
   }
 
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     pentry = section_entry_str_new(psection, ent_name, str, TRUE);
   }
 
-  if (NULL != pentry && NULL != comment) {
+  if (pentry != nullptr && comment != nullptr) {
     entry_set_comment(pentry, comment);
   }
 
@@ -1734,7 +1735,7 @@ struct entry *secfile_insert_enum_data_full(struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Insert 'dim' entries at 'path,0', 'path,1' etc.  Returns the number of
+  Insert 'dim' entries at 'path,0', 'path,1' etc. Returns the number of
   entries inserted or replaced.
 **************************************************************************/
 size_t secfile_insert_enum_vec_data_full(struct section_file *secfile,
@@ -1750,27 +1751,27 @@ size_t secfile_insert_enum_vec_data_full(struct section_file *secfile,
   size_t i, ret = 0;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, 0);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != name_fn, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, name_fn != nullptr, 0);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
-  /* NB: 'path,0' is actually 'path'.  See comment in the head
+  /* NB: 'path,0' is actually 'path'. See comment in the head
    * of the file. */
   if (dim > 0
-      && NULL != secfile_insert_enum_data_full(secfile, values[0], bitwise,
-                                               name_fn, data, comment,
-                                               allow_replace, "%s",
-                                               fullpath)) {
+      && secfile_insert_enum_data_full(secfile, values[0], bitwise,
+                                       name_fn, data, comment,
+                                       allow_replace, "%s",
+                                       fullpath) != nullptr) {
     ret++;
   }
   for (i = 1; i < dim; i++) {
-    if (NULL != secfile_insert_enum_data_full(secfile, values[i], bitwise,
-                                              name_fn, data, comment,
-                                              allow_replace, "%s,%d",
-                                              fullpath, (int) i)) {
+    if (secfile_insert_enum_data_full(secfile, values[i], bitwise,
+                                      name_fn, data, comment,
+                                      allow_replace, "%s,%d",
+                                      fullpath, (int) i) != nullptr) {
       ret++;
     }
   }
@@ -1779,7 +1780,7 @@ size_t secfile_insert_enum_vec_data_full(struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Returns the entry by the name or NULL if not matched.
+  Returns the entry by the name or nullptr if not matched.
 **************************************************************************/
 struct entry *secfile_entry_by_path(const struct section_file *secfile,
                                     const char *path)
@@ -1789,17 +1790,17 @@ struct entry *secfile_entry_by_path(const struct section_file *secfile,
   size_t len;
   struct section *psection;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   sz_strlcpy(fullpath, path);
 
-  /* treat "sec.foo,0" as "sec.foo": */
+  /* Treat "sec.foo,0" as "sec.foo": */
   len = strlen(fullpath);
   if (len > 2 && fullpath[len - 2] == ',' && fullpath[len - 1] == '0') {
     fullpath[len - 2] = '\0';
   }
 
-  if (NULL != secfile->hash.entries) {
+  if (secfile->hash.entries != nullptr) {
     struct entry *pentry;
 
     if (entry_hash_lookup(secfile->hash.entries, fullpath, &pentry)) {
@@ -1808,11 +1809,11 @@ struct entry *secfile_entry_by_path(const struct section_file *secfile,
     return pentry;
   }
 
-  /* I dont like strtok.
+  /* I dont like strtok().
    * - Me neither! */
   ent_name = strchr(fullpath, '.');
   if (!ent_name) {
-    return NULL;
+    return nullptr;
   }
 
   /* Separates section and entry names. */
@@ -1821,7 +1822,7 @@ struct entry *secfile_entry_by_path(const struct section_file *secfile,
   if (psection) {
     return section_entry_by_name(psection, ent_name);
   } else {
-    return NULL;
+    return nullptr;
   }
 }
 
@@ -1835,14 +1836,14 @@ bool secfile_entry_delete(struct section_file *secfile,
   va_list args;
   struct entry *pentry;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, FALSE);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   if (!(pentry = secfile_entry_by_path(secfile, fullpath))) {
-    SECFILE_LOG(secfile, NULL, "Path %s does not exists.", fullpath);
+    SECFILE_LOG(secfile, nullptr, "Path %s does not exists.", fullpath);
     return FALSE;
   }
 
@@ -1852,7 +1853,7 @@ bool secfile_entry_delete(struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Returns the entry at "fullpath" or NULL if not matched.
+  Returns the entry at "fullpath" or nullptr if not matched.
 **************************************************************************/
 struct entry *secfile_entry_lookup(const struct section_file *secfile,
                                    const char *path, ...)
@@ -1860,7 +1861,7 @@ struct entry *secfile_entry_lookup(const struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH];
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -1870,7 +1871,7 @@ struct entry *secfile_entry_lookup(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a boolean value in the secfile.  Returns TRUE on success.
+  Lookup a boolean value in the secfile. Returns TRUE on success.
 **************************************************************************/
 bool secfile_lookup_bool(const struct section_file *secfile, bool *bval,
                          const char *path, ...)
@@ -1879,14 +1880,15 @@ bool secfile_lookup_bool(const struct section_file *secfile, bool *bval,
   const struct entry *pentry;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, FALSE);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   if (!(pentry = secfile_entry_by_path(secfile, fullpath))) {
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
+
     return FALSE;
   }
 
@@ -1894,7 +1896,7 @@ bool secfile_lookup_bool(const struct section_file *secfile, bool *bval,
 }
 
 /**********************************************************************//**
-  Lookup a boolean value in the secfile.  On failure, use the default
+  Lookup a boolean value in the secfile. On failure, use the default
   value.
 **************************************************************************/
 bool secfile_lookup_bool_default(const struct section_file *secfile,
@@ -1905,7 +1907,7 @@ bool secfile_lookup_bool_default(const struct section_file *secfile,
   bool bval;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, def);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, def);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -1923,9 +1925,9 @@ bool secfile_lookup_bool_default(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a boolean vector in the secfile.  Returns NULL on error.  This
-  vector is not owned by the registry module, and should be free by the
-  user.
+  Lookup a boolean vector in the secfile. Returns nullptr on error.
+  This vector is not owned by the registry module, and should be
+  free by the user.
 **************************************************************************/
 bool *secfile_lookup_bool_vec(const struct section_file *secfile,
                               size_t *dim, const char *path, ...)
@@ -1935,34 +1937,35 @@ bool *secfile_lookup_bool_vec(const struct section_file *secfile,
   bool *vec;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != dim, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, dim != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   /* Check size. */
-  while (NULL != secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i)) {
+  while (secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i) != nullptr) {
     i++;
   }
   *dim = i;
 
   if (0 == i) {
     /* Doesn't exist. */
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
-    return NULL;
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
+    return nullptr;
   }
 
   vec = fc_malloc(i * sizeof(bool));
   for (i = 0; i < *dim; i++) {
     if (!secfile_lookup_bool(secfile, vec + i, "%s,%d", fullpath, (int) i)) {
-      SECFILE_LOG(secfile, NULL,
+      SECFILE_LOG(secfile, nullptr,
                   "An error occurred when looking up to \"%s,%d\" entry.",
                   fullpath, (int) i);
       free(vec);
       *dim = 0;
-      return NULL;
+
+      return nullptr;
     }
   }
 
@@ -1970,7 +1973,7 @@ bool *secfile_lookup_bool_vec(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a integer value in the secfile.  Returns TRUE on success.
+  Lookup a integer value in the secfile. Returns TRUE on success.
 **************************************************************************/
 bool secfile_lookup_int(const struct section_file *secfile, int *ival,
                         const char *path, ...)
@@ -1979,14 +1982,15 @@ bool secfile_lookup_int(const struct section_file *secfile, int *ival,
   const struct entry *pentry;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, FALSE);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   if (!(pentry = secfile_entry_by_path(secfile, fullpath))) {
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
+
     return FALSE;
   }
 
@@ -1994,7 +1998,7 @@ bool secfile_lookup_int(const struct section_file *secfile, int *ival,
 }
 
 /**********************************************************************//**
-  Lookup a integer value in the secfile.  On failure, use the default
+  Lookup a integer value in the secfile. On failure, use the default
   value.
 **************************************************************************/
 int secfile_lookup_int_default(const struct section_file *secfile, int def,
@@ -2005,7 +2009,7 @@ int secfile_lookup_int_default(const struct section_file *secfile, int def,
   int ival;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, def);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, def);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -2036,7 +2040,7 @@ int secfile_lookup_int_def_min_max(const struct section_file *secfile,
   int value;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, defval);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, defval);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -2070,9 +2074,9 @@ int secfile_lookup_int_def_min_max(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a integer vector in the secfile.  Returns NULL on error.  This
-  vector is not owned by the registry module, and should be free by the
-  user.
+  Lookup a integer vector in the secfile. Returns nullptr on error.
+  This vector is not owned by the registry module, and should be
+  freed by the user.
 **************************************************************************/
 int *secfile_lookup_int_vec(const struct section_file *secfile,
                             size_t *dim, const char *path, ...)
@@ -2082,34 +2086,35 @@ int *secfile_lookup_int_vec(const struct section_file *secfile,
   int *vec;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != dim, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, dim != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   /* Check size. */
-  while (NULL != secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i)) {
+  while (secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i) != nullptr) {
     i++;
   }
   *dim = i;
 
   if (0 == i) {
     /* Doesn't exist. */
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
-    return NULL;
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
+
+    return nullptr;
   }
 
   vec = fc_malloc(i * sizeof(int));
   for (i = 0; i < *dim; i++) {
     if (!secfile_lookup_int(secfile, vec + i, "%s,%d", fullpath, (int) i)) {
-      SECFILE_LOG(secfile, NULL,
+      SECFILE_LOG(secfile, nullptr,
                   "An error occurred when looking up to \"%s,%d\" entry.",
                   fullpath, (int) i);
       free(vec);
       *dim = 0;
-      return NULL;
+      return nullptr;
     }
   }
 
@@ -2117,7 +2122,7 @@ int *secfile_lookup_int_vec(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a floating point value in the secfile.  Returns TRUE on success.
+  Lookup a floating point value in the secfile. Returns TRUE on success.
 **************************************************************************/
 bool secfile_lookup_float(const struct section_file *secfile, float *fval,
                           const char *path, ...)
@@ -2126,14 +2131,14 @@ bool secfile_lookup_float(const struct section_file *secfile, float *fval,
   const struct entry *pentry;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, FALSE);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   if (!(pentry = secfile_entry_by_path(secfile, fullpath))) {
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
     return FALSE;
   }
 
@@ -2152,7 +2157,7 @@ float secfile_lookup_float_default(const struct section_file *secfile,
   float fval;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, def);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, def);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -2170,7 +2175,7 @@ float secfile_lookup_float_default(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a string value in the secfile.  Returns NULL on error.
+  Lookup a string value in the secfile. Returns nullptr on error.
 **************************************************************************/
 const char *secfile_lookup_str(const struct section_file *secfile,
                                const char *path, ...)
@@ -2180,22 +2185,22 @@ const char *secfile_lookup_str(const struct section_file *secfile,
   const char *str;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   if (!(pentry = secfile_entry_by_path(secfile, fullpath))) {
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
-    return NULL;
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
+    return nullptr;
   }
 
   if (entry_str_get(pentry, &str)) {
     return str;
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /**********************************************************************//**
@@ -2211,7 +2216,7 @@ const char *secfile_lookup_str_default(const struct section_file *secfile,
   const char *str;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, def);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, def);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -2225,16 +2230,16 @@ const char *secfile_lookup_str_default(const struct section_file *secfile,
     return str;
   }
 
-  SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't have a string.", fullpath);
+  SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't have a string.", fullpath);
 
   return def;
 }
 
 /**********************************************************************//**
-  Lookup a string vector in the secfile.  Returns NULL on error.  This
-  vector is not owned by the registry module, and should be free by the
-  user, but the string pointers stored inside the vector shouldn't be
-  free.
+  Lookup a string vector in the secfile. Returns nullptr on error.
+  This vector is not owned by the registry module, and should be
+  freed by the user, but the string pointers stored inside the vector
+  shouldn't be freed.
 **************************************************************************/
 const char **secfile_lookup_str_vec(const struct section_file *secfile,
                                     size_t *dim, const char *path, ...)
@@ -2244,35 +2249,35 @@ const char **secfile_lookup_str_vec(const struct section_file *secfile,
   const char **vec;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != dim, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, dim != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   /* Check size. */
-  while (NULL != secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i)) {
+  while (secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i) != nullptr) {
     i++;
   }
   *dim = i;
 
   if (0 == i) {
     /* Doesn't exist. */
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
-    return NULL;
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
+    return nullptr;
   }
 
   vec = fc_malloc(i * sizeof(const char *));
   for (i = 0; i < *dim; i++) {
     if (!(vec[i] = secfile_lookup_str(secfile, "%s,%d",
                                       fullpath, (int) i))) {
-      SECFILE_LOG(secfile, NULL,
+      SECFILE_LOG(secfile, nullptr,
                   "An error occurred when looking up to \"%s,%d\" entry.",
                   fullpath, (int) i);
       free(vec);
       *dim = 0;
-      return NULL;
+      return nullptr;
     }
   }
 
@@ -2280,7 +2285,7 @@ const char **secfile_lookup_str_vec(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup an enumerator value in the secfile.  Returns FALSE on error.
+  Lookup an enumerator value in the secfile. Returns FALSE on error.
 **************************************************************************/
 bool secfile_lookup_plain_enum_full(const struct section_file *secfile,
                                     int *penumerator,
@@ -2293,17 +2298,17 @@ bool secfile_lookup_plain_enum_full(const struct section_file *secfile,
   const char *str;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, FALSE);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != penumerator, FALSE);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != is_valid_fn, FALSE);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != by_name_fn, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, penumerator != nullptr, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, is_valid_fn != nullptr, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, by_name_fn != nullptr, FALSE);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   if (!(pentry = secfile_entry_by_path(secfile, fullpath))) {
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
     return FALSE;
   }
 
@@ -2323,7 +2328,7 @@ bool secfile_lookup_plain_enum_full(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup an enumerator value in the secfile.  Returns 'defval' on error.
+  Lookup an enumerator value in the secfile. Returns 'defval' on error.
 **************************************************************************/
 int secfile_lookup_plain_enum_default_full(const struct section_file
                                            *secfile, int defval,
@@ -2339,9 +2344,9 @@ int secfile_lookup_plain_enum_default_full(const struct section_file
   int val;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, defval);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != is_valid_fn, defval);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != by_name_fn, defval);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, defval);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, is_valid_fn != nullptr, defval);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, by_name_fn != nullptr, defval);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -2364,9 +2369,9 @@ int secfile_lookup_plain_enum_default_full(const struct section_file
 }
 
 /**********************************************************************//**
-  Lookup a enumerator vector in the secfile.  Returns NULL on error.  This
-  vector is not owned by the registry module, and should be free by the
-  user.
+  Lookup a enumerator vector in the secfile. Returns nullptr on error.
+  This vector is not owned by the registry module, and should be freed
+  by the user.
 **************************************************************************/
 int *secfile_lookup_plain_enum_vec_full(const struct section_file *secfile,
                                         size_t *dim,
@@ -2381,25 +2386,25 @@ int *secfile_lookup_plain_enum_vec_full(const struct section_file *secfile,
   int *vec;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != dim, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != is_valid_fn, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != by_name_fn, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, dim != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, is_valid_fn != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, by_name_fn != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   /* Check size. */
-  while (NULL != secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i)) {
+  while (secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i) != nullptr) {
     i++;
   }
   *dim = i;
 
   if (0 == i) {
     /* Doesn't exist. */
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
-    return NULL;
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
+    return nullptr;
   }
 
   vec = fc_malloc(i * sizeof(int));
@@ -2407,12 +2412,12 @@ int *secfile_lookup_plain_enum_vec_full(const struct section_file *secfile,
     if (!secfile_lookup_plain_enum_full(secfile, vec + i, is_valid_fn,
                                         by_name_fn, "%s,%d",
                                         fullpath, (int) i)) {
-      SECFILE_LOG(secfile, NULL,
+      SECFILE_LOG(secfile, nullptr,
                   "An error occurred when looking up to \"%s,%d\" entry.",
                   fullpath, (int) i);
       free(vec);
       *dim = 0;
-      return NULL;
+      return nullptr;
     }
   }
 
@@ -2420,7 +2425,7 @@ int *secfile_lookup_plain_enum_vec_full(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a bitwise enumerator value in the secfile.  Returns FALSE on error.
+  Lookup a bitwise enumerator value in the secfile. Returns FALSE on error.
 **************************************************************************/
 bool secfile_lookup_bitwise_enum_full(const struct section_file *secfile,
                                       int *penumerator,
@@ -2435,17 +2440,17 @@ bool secfile_lookup_bitwise_enum_full(const struct section_file *secfile,
   int val;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, FALSE);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != penumerator, FALSE);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != is_valid_fn, FALSE);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != by_name_fn, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, penumerator != nullptr, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, is_valid_fn != nullptr, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, by_name_fn != nullptr, FALSE);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   if (!(pentry = secfile_entry_by_path(secfile, fullpath))) {
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
     return FALSE;
   }
 
@@ -2462,7 +2467,7 @@ bool secfile_lookup_bitwise_enum_full(const struct section_file *secfile,
   /* Value names are separated by '|'. */
   do {
     p = strchr(str, '|');
-    if (NULL != p) {
+    if (p != nullptr) {
       p++;
       fc_strlcpy(val_name, str, p - str);
     } else {
